<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml">
	<s:div id="globalDiv">
			<gri:panel id="configurationsPanel"
				rendered="#{repositoryConfigurationManager.displayListPanel == true}">
				<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.RepositoryConfigurations']}</f:facet>
				<a4j:commandButton styleClass="gzl-btn-green"
					actionListener="#{repositoryConfigurationManager.addConfiguration()}"
					rendered="#{identity.loggedIn}"
					value="#{messages['net.ihe.gazelle.xdstar.CreateRepositoryConfiguration']}" render="listConfDiv,messageDecoration"
					execute="@this" />
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.ToAddANewConfigurationYouHaveToLogInTheLoginAndP']} "
					rendered="#{!identity.loggedIn}" />
				<h:outputLink target="_blank" value="http://gazelle.ihe.net/EU-CAT/"
					rendered="#{!identity.loggedIn}">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.EUCAT']}" />
				</h:outputLink>
				<br />
				<br />
									
				<h:outputText id="noConfigText"
					rendered="#{repositoryConfigurationManager.availableSystemConfigurations == null}"
					value="#{messages['gazelle.xdrsrc.NoConfiguration']} #{messages['net.ihe.gazelle.xdstar.ForActor']} #{repositoryConfigurationManager.selectedTab}" />

				<rich:dataTable id="configTable"
					rendered="#{repositoryConfigurationManager.availableSystemConfigurations != null}"
					value="#{repositoryConfigurationManager.availableSystemConfigurations}" var="currentConfig"
					rows="10" render="ds">
					<g:column id="nameColumn" filterBy="#{'name'}" filterEvent="onkeyup"
						orderBy="#{'name'}" sortOrder="ascending">
						<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Name']}</ui:define>
						<h:outputText value="#{currentConfig.name}" />
					</g:column>
					<g:column id="systemNameColumn" filterBy="#{'systemName'}" filterEvent="onkeyup"
						orderBy="#{'systemName'}" sortOrder="ascending">
						<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.SystemName']}</ui:define>
						<h:outputText value="#{currentConfig.systemName}" />
					</g:column>
					<g:column id="urlColumn" filterBy="#{'url'}">
						<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.URL']}</ui:define>
						<h:outputText value="#{currentConfig.url}" style="color:red;"
							rendered="#{!currentConfig.isAvailable}" />
						<h:outputText value="#{currentConfig.url}" style="color:green;"
							rendered="#{currentConfig.isAvailable}" />
					</g:column>
					<g:column rendered="#{identity.loggedIn}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Owner']}</ui:define>
						<h:outputText value="#{repositoryConfigurationManager.getUserName(currentConfig.owner)}" rendered="#{s:hasRole('admin_role')}" />
						<h:outputText value="#{repositoryConfigurationManager.getUserName(currentConfig.owner)}"
							rendered="#{(not s:hasRole('admin_role')) and registryConfigurationManager.isOwnerOfConfig(currentConfig)}" />
					</g:column>
					<g:column>
						<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Context']}</ui:define>
						<a4j:repeat value="#{currentConfig.listUsages}" var="currentu">
							<h:outputText
								value="#{currentu.affinity.labelToDisplay} =&gt; #{currentu.transaction.keyword}" />
							<br />
						</a4j:repeat>
					</g:column>
					<g:column>
						<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.RepositoryUniqueId']}</ui:define>
						<h:outputText value="#{currentConfig.repositoryUniqueId}" />
					</g:column>
					<g:column id="actionColumn" rendered="#{identity.loggedIn}">
						<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
						<f:subview id="subview_1">
							<ui:include src="/configuration/common/actionButtons.xhtml">
								<ui:param name="confManager" value="#{repositoryConfigurationManager}" />
							</ui:include>
						</f:subview>
					</g:column>
					<f:facet name="footer">
						<s:div style="text-align: center;">
							<rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false" immediate="true" />
						</s:div>
					</f:facet>
				</rich:dataTable>

			</gri:panel>
			<br />
			<s:div id="editConfigurationPanel">
				<gri:panel rendered="#{repositoryConfigurationManager.displayEditPanel and identity.loggedIn}">
					<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ConfigurationEdit']}</f:facet>
					<div class="form-horizontal">
						<a4j:region id="configNameRegion">
							<s:decorate id="editconfigNameDecorate" template="/layout/form/_form_field_horizontal_inline.xhtml">
								<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Name']}</ui:define>
								<h:inputText id="editconfigurationNameValue"
									value="#{repositoryConfigurationManager.selectedSystemConfiguration.name}" tabindex="1"
									size="30" maxlength="128" styleClass="form-control">
									<a4j:ajax event="blur" render="editconfigNameDecorate" />
								</h:inputText>
							</s:decorate>
						</a4j:region>
						<a4j:region id="systemNameRegion">
							<s:decorate id="editSystemNameDecorate" template="/layout/form/_form_field_horizontal_inline.xhtml">
								<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SystemName']}</ui:define>
								<h:inputText id="editSystemNameValue"
									value="#{repositoryConfigurationManager.selectedSystemConfiguration.systemName}"
									tabindex="1" size="30" maxlength="128" styleClass="form-control">
									<a4j:ajax event="blur" render="editSystemNameValue" />
								</h:inputText>
							</s:decorate>
						</a4j:region>
						<a4j:region id="systemUrlRegion">
							<s:decorate id="editsystemUrlDecorate" template="/layout/form/_form_field_horizontal_inline.xhtml">
								<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.URL']}</ui:define>
								<h:inputText id="editsystemUrlValue"
									value="#{repositoryConfigurationManager.selectedSystemConfiguration.url}"
									styleClass="ajaxSupport form-control" tabindex="1" size="80" maxlength="128">
									<a4j:ajax event="blur" render="editsystemUrlDecorate" />
								</h:inputText>
							</s:decorate>
						</a4j:region>
						<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RepositoryUniqueId']}</ui:define>
							<h:inputText
								value="#{repositoryConfigurationManager.selectedSystemConfiguration.repositoryUniqueId}" styleClass="form-control" />
						</s:decorate>
						<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" id="usages">
							<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AffinityDomainsTransactions']}</ui:define>
							<rich:pickList
								value="#{repositoryConfigurationManager.selectedSystemConfiguration.listUsages}"
								listWidth="250px" listHeight="100px">
								<s:selectItems value="#{repositoryConfigurationManager.getPossibleListUsages()}"
									var="currentu"
									label="#{currentu.affinity.labelToDisplay} =&gt; #{currentu.transaction.keyword}" />
							</rich:pickList>
						</s:decorate>
						<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PublicConfiguration']}
                            </ui:define>
							<h:selectBooleanCheckbox
								value="#{repositoryConfigurationManager.selectedSystemConfiguration.isPublic}" />
						</s:decorate>
					</div>
					<br />
					<br />
					<f:facet name="footer">
						<a4j:commandButton id="saveConfigButton"
							actionListener="#{repositoryConfigurationManager.saveCurrentConfiguration()}"
							value="#{messages['net.ihe.gazelle.xdstar.Save']}" styleClass="gzl-btn-green"
							render="globalDiv" />
						<a4j:commandButton id="backButton" actionListener="#{repositoryConfigurationManager.back()}"
							value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" styleClass="gzl-btn"
							render="globalDiv" />
					</f:facet>
				</gri:panel>
			</s:div>
			<br />
	</s:div>
<!-- 	<f:subview id="subview_2"> -->
		<ui:include src="/configuration/common/configModalPanel.xhtml">
			<ui:param name="confManager" value="#{repositoryConfigurationManager}" />
		</ui:include>
<!-- 	</f:subview> -->
</ui:composition>
